Pandabase
Store APIsCases

Send case message

POST
/stores/{storeId}/cases/{caseId}/messages

Posts a reply to a support case. The customer is notified by email. Requires the CASES_WRITE scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48
caseId*string
Length12 <= length <= 48

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/stores/stringstring/cases/stringstring/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "ok": true,  "data": {    "id": "cmsg_q1mzj0kxw5h7n4tr3bcfp2v8",    "senderType": "MERCHANT",    "senderId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",    "body": "Thanks for reaching out. Looking into this now.",    "createdAt": "2026-05-14T13:00:00.000Z",    "attachments": []  }}

Last updated on